<nav class="navbar navbar-expand-md navbar-dark justify-content-center navbar-inverse">
    <a class="navbar-brand abs" [routerLink]="['main']" >Restaurant</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsingNavbar">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="navbar-collapse collapse" id="collapsingNavbar">
        <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" [routerLink]="['main']">Menu</a>
            </li>
        </ul>
        <ul class="navbar-nav ml-auto">
          <li *ngIf="!logged" class="item">
            <a [routerLink]="['signup']"
              ><span class="glyphicon glyphicon-user"></span> Sign Up</a
            >
          </li>
          <li *ngIf="!logged" class="item">
            <a [routerLink]="['login']"
              ><span class="glyphicon glyphicon-log-in"></span> Login</a
            >
          </li>
          <li *ngIf="logged" class="item">
            <a [routerLink]="['main']" (click)="logout()"
              ><span class="glyphicon glyphicon-log-in"></span> Logout</a
            >
          </li>
        </ul>
    </div>
</nav>
<router-outlet></router-outlet>